This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 996969 - Data domain goes down, can't be brought up
Data domain goes down, can't be brought up
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Liron Aravot
Aharon Canan
storage
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 07:33 EDT by Lior Vernia
Modified: 2016-02-10 15:26 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 05:09:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Engine log (4.51 MB, text/x-log)
2013-08-14 07:33 EDT, Lior Vernia
no flags Details
Latest VDSM log (9.60 MB, text/x-log)
2013-08-14 07:35 EDT, Lior Vernia
no flags Details
Earlier VDSM log (783.86 KB, application/x-xz)
2013-08-14 07:36 EDT, Lior Vernia
no flags Details

  None (edit)
Description Lior Vernia 2013-08-14 07:33:50 EDT
Created attachment 786507 [details]
Engine log

Description of problem:

When having a working DC with a couple of running VMs, the data domain's state moved to down and couldn't be brought back to state up. This might have something to do with the single host in the DC not chosen as the SPM despite being up (pressing "Select as SPM" doesn't work either).

The possible trigger might have been that the engine changed IP address; I took my laptop home and ran the engine. Despite connecting to the VPN my IP address changed, the host's state changed to non-responsive and it was dropped as SPM, and the state of the VMs to unknown.

When I connected from the office the next day, the host could be moved to up but couldn't regain its role as SPM, nor could the data domain be brought up.


Version-Release number of selected component (if applicable):

oVirt 3.3 master branch.


How reproducible:

Not sure.


Additional info:

Attached engine and relevant VDSM logs.
Comment 1 Lior Vernia 2013-08-14 07:35:45 EDT
Created attachment 786508 [details]
Latest VDSM log
Comment 2 Lior Vernia 2013-08-14 07:36:22 EDT
Created attachment 786509 [details]
Earlier VDSM log

Note You need to log in before you can comment on or make changes to this bug.